{% extends '@DemosPlanCore/DemosPlanCore/base_oeb.html.twig' %}

{% block component_part %}

    {% embed '@DemosPlanCore/DemosPlanCore/includes/participation_area_skeleton.html.twig' with {
        'content_heading': 'Release editieren',
        'full_width': true
    }%}

        {% block content %}

            <form name="updateRelease" action="{{ path('DemosPlan_forum_development_release_edit', {'releaseId': templateVars.release.ident}) }}" method="post" enctype="multipart/form-data">

                <label>
                    {{ "title"|trans }}
                    <input class="layout__item" name="r_title" type="text" value="{{templateVars.release.title|default() }}">
                </label>

                <label class="u-mb-0" for="r_description">
                    {{ "description"|trans }}
                </label>
                <dp-editor
                    value="{{ templateVars.release.description|default() }}"
                    hidden-input="r_description"
                    class="u-mb">
                </dp-editor>

                <label>
                    {{ "phase"|trans }}
                    <select class="layout__item" name="r_phase">
                        {% for phase in templateVars.releasePhases %}
                            <option value="{{ phase.key }}"{% if templateVars.release.phase == phase.key %} selected="selected"{% endif %}>
                                {{ phase.name }}
                            </option>
                        {% endfor %}
                    </select>
                </label>

                <label for="r_startdate">
                    {{ "period"|trans }}
                </label>
                <dp-date-range-picker
                    start-id="r_startdate"
                    start-name="r_startdate"
                    start-value="{{ templateVars.release.startDate|default|dplanDate }}"
                    end-id="r_enddate"
                    end-name="r_enddate"
                    end-value="{{ templateVars.release.endDate|default|dplanDate }}"
                    :enforce-plausible-dates="false">
                </dp-date-range-picker>

                <div class="text-right space-inline-s">
                    <input class="btn btn--primary" type="submit" name="updateRelease" value="{{ "save"|trans }}">
                    <a class="btn btn--warning" data-form-actions-confirm=" {{ "check.release.delete"|trans }}" href="{{ path('DemosPlan_forum_development_release_delete', { "releaseId": templateVars.release.ident, "token": templateVars.token}) }}">
                        {{ "delete"|trans }}
                    </a>
                    <a class="btn btn--secondary" href="{{ path('DemosPlan_forum_development') }}">
                        {{ "abort"|trans }}
                    </a>
                </div>

            </form>

        {% endblock content %}

    {% endembed %}

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['forum-developmentReleaseEdit.js']) }}
{% endblock javascripts %}
